Variables API
Update a variable
Update an existing text or secret variable's key, value, secret flag, or description. File-type variables must be managed through the project UI upload workflow.
Authorization
bearerAuth AuthorizationBearer <token>
CLI token (sck_live_*) for full API access, or trigger key (sck_trigger_* / legacy job_*) for job trigger endpoint only.
In: header
Path Parameters
id*string
Variable ID
Format
uuidRequest Body
application/json
key?string
value?string
isSecret?boolean
description?string
Response Body
application/json
application/json
application/json
curl -X PUT "https://demo.supercheck.dev/api/variables/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",
"key": "string",
"type": "variable",
"value": "string",
"isSecret": true,
"description": "string",
"fileName": "string",
"fileSize": 0,
"mimeType": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"error": "Unauthorized"
}{
"error": "Not found"
}